Skip to content

Create Video with Images

POST https://www.kkiai.com/v1/video/create

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Header Parameters

Parameter NameTypeRequiredDescriptionExample
Content-TypestringRequiredapplication/json
AcceptstringRequiredapplication/json
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

Parameter NameTypeRequiredDescription
modelstringRequiredEnum values: veo2 veo2-fast veo2-fast-frames veo2-fast-components veo2-pro veo3 veo3-fast veo3-pro veo3-pro-frames veo3-fast-frames veo3-frames
promptstringRequired
imagesarray[string]OptionalWhen the model is veo2-fast-frames, a maximum of two images are supported (first and last frames respectively). When the model is veo3-pro-frames, a maximum of one image (first frame) is supported. When the model is veo2-fast-components, a maximum of 3 images are supported, where the images are elements in the video.
enhance_promptbooleanRequiredSince veo only supports English prompts, if you need to automatically convert Chinese prompts to English prompts, you can enable this switch.
enable_upsamplestringRequired
aspect_ratiostringRequired⚠️ Only veo3 supports this. "16:9" or "9:16"

Request Example

json
{
    "prompt": "A cow floats happily up into the sky.",
    "model": "veo3-fast-frames",
    "images": [
        "https://filesystem.site/cdn/20250612/VfgB5ubjInVt8sG6rzMppxnu7gEfde.png",
        "https://filesystem.site/cdn/20250612/998IGmUiM2koBGZM3UnZeImbPBNIUL.png"
    ],
    "enhance_prompt": true,
    "enable_upsample": true,
    "aspect_ratio": "16:9"
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/v1/video/create' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "prompt": "A cow floats happily up into the sky.",
    "model": "veo3-fast-frames",
    "images": [
        "https://filesystem.site/cdn/20250612/VfgB5ubjInVt8sG6rzMppxnu7gEfde.png",
        "https://filesystem.site/cdn/20250612/998IGmUiM2koBGZM3UnZeImbPBNIUL.png"
    ],
    "enhance_prompt": true,
    "enable_upsample": true,
    "aspect_ratio": "16:9"
}'

Response

🟢 200 OK

Response Body

Parameter NameTypeRequiredDescription
idstringRequired
objectstringRequired
createdintegerRequired
choicesarray[object]Required
  └ indexintegerOptional
  └ messageobjectOptional
  └ finish_reasonstringOptional
usageobjectRequired
  └ prompt_tokensintegerRequired
  └ completion_tokensintegerRequired
  └ total_tokensintegerRequired

Response Example

json
{
    "id": "veo3-fast-frames:1762010543-twr7BEQ5wO",
    "status": "pending",
    "status_update_time": 1762010543957
}